Background ChecksPackagesList packages GET
GET
/api/v1/api/bgc/packages/

Returns the background check packages available to your organisation: the custom packages you have created, and — when system=yes — the predefined system packages.

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Query Parameters

all?string

Include unsaved packages (yes/no).

created_on?string

Return packages created on this date (YYYY-MM-DD).

Formatdate
search?string

Match packages by name.

system?string

Return system packages (yes) or custom packages (no).

Response Body

application/json

curl -X GET "https://example.com/api/v1/api/bgc/packages/?system=yes"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "description": "string",      "country": "string",      "country_code": "string",      "check_types": null,      "is_active": true,      "is_public": true,      "created_by": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "first_name": "string",        "last_name": "string",        "email": "user@example.com",        "last_login": "2019-08-24T14:15:22Z"      },      "allow_candidate_access_report": true,      "allow_candidate_payment": true,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "status": true,  "message": "Request successful.",  "errors": {},  "meta": {    "timestamp": "2019-08-24T14:15:22Z",    "version": "v1",    "request_id": "string"  },  "pagination": {    "page": 0,    "page_size": 0,    "total_pages": 0,    "total_items": 0  }}
Response Codes & Statuses: Prembly API responses include custom response_code values (e.g., 00 Success, 01 Not Found, 02 Unavailable).
View Response Codes Guide
Prembly Slack Community

Join our developer Slack channel for real-time integration support, engineering updates, and direct Q&A with the Prembly team.

Join Slack Channel